
Name:		smeserver-redis
Version:	1.2.0
Release:	3%{?dist}
Summary:	Koozali SME Server integration of Redis
License: 	GPL	
URL:		http://supervisord.org/		
#Source0:	%{name}-%{version}.tar.gz
Source: 	createlinks
BuildArch: 	noarch
BuildRequires: smeserver-devtools
Requires:	redis

%description
Koozali SME Server integration of Redis
Redis is an in-memory data structure store, used as a distributed, 
in-memory key–value database, cache and message broker, with optional durability. 
Redis supports different kinds of abstract data structures, such as strings, 
lists, maps, sets, sorted sets, HyperLogLogs, bitmaps, streams, and spatial indices.
License: BSD 3-clause

%prep
%setup -c -n %{name}-%{version} -T 
mkdir -p root
cp %SOURCE0 .

%build
#cd %{name}-%{version}
perl createlinks

# could be an archive
mkdir -p root/usr/lib/systemd/system/redis.service.d/
printf "[Install]
WantedBy=sme-server.target" > root/usr/lib/systemd/system/redis.service.d/50-koozali.conf
mkdir -p root/etc/e-smith/db/configuration/defaults/redis
echo "enabled" > root/etc/e-smith/db/configuration/defaults/redis/status
echo "service" > root/etc/e-smith/db/configuration/defaults/redis/type
echo "6379" > root/etc/e-smith/db/configuration/defaults/redis/TCPPPort
echo "private" > root/etc/e-smith/db/configuration/defaults/redis/access

%install
rm -rf %{buildroot}
(cd root ; find . -depth -print | cpio -dump %{buildroot})
/sbin/e-smith/genfilelist %{buildroot} > %{name}-%{version}-%{release}-filelist



%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)



%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 1.2.0-3.sme
- Fix e-smith references in smeserver-redis [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.2.0-2.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Jun 23 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.2.0-1.sme
- initial Koozali SME 10 version

* Thu Jul 07 2016 Stefano Fancello <stefano.fancello@nethesis.it> - 1.1.0-1
- First NS7 release

* Wed Jul 31 2013 Giacomo Sanchietti <giacomo.sanchietti@nethesis.it> - 1.0.0-1.ns6
- First release  #2090

